import { Component } from "react";

import Slider from "../slider/slider";
import Universe from "../universe/universe";
import "./css/main.css";
import searchLogo from "./img/search.svg";

class Main extends Component {
    state = {
        universeData: [],
    };

    render() {
        return (
            <section className="universe">
                <div className="container container_flex">
                    <div className="row">
                        <div className="universe_input_block col-md-12">
                            <input
                                type="text"
                                className="universe_input"
                                placeholder="Введите название вуза или суза..."
                            />
                            <img
                                src={searchLogo}
                                alt="search"
                                className="universe_search"
                            />
                        </div>

                        <section className="universe-section">
                            {/* Генерация университетов из списка на основе пропсов*/}
                            <Universe />
                        </section>
                    </div>
                </div>
                {/* Переключение активного слайдера в зависимости от секции */}
                <Slider />
            </section>
        );
    }
}

export default Main;
